#ifndef KONARELATEDTAGS_H
#define KONARELATEDTAGS_H

#include <QObject>
#include "konaclient.h"
#include <QHttp>
#include <QFile>
#include <QtXml>
#include "konatag.h"

class KonaRelatedTags : public QObject
{
    Q_OBJECT
public:
    KonaRelatedTags(KonaClient *Kc, QString Tags, QString Type);
    QString getSourceTags() {return tags;}
    QString getType() {return type;}
    QList<KonaTag*> getTags() {return result;}
    void newSearch(QString Tags = "__KEEPOLD__", QString Type = "__KEEPOLD__");
    void searchAgain();


private:
    KonaClient *kc;
    QString tags;
    QString type;


    QHttp *http;
    QFile *file;
    int statusCode;

    int searchIsDone;

    QList<KonaTag*> result;

signals:
    void searchFinished(KonaRelatedTags *krt);
    void searchFailed(KonaRelatedTags *krt, int errorCode);

public slots:
    void requestFinished();
    void responseHeaderReceived(QHttpResponseHeader resp);

    
};

#endif // KONARELATEDTAGS_H
